Subject: make update dependency problem with php
To: None <>
From: John Klos <>
List: tech-pkg
Date: 01/13/2004 05:02:10

I just did a make update in lang/perl58 and noticed something interesting.
First, it started rebuilding lots of stuff back to php and apache. Then I
noticed that when apache 2.0 was deleted, and the compiling started up,
that php4 didn't know which apache it was originally installed for, so, as
a depencency of ap-php4, it started building apache 1.3.

Who know how / wants to fix that problem?

It failed, anyway, because db4, which is a dependency of apr, is broken on
PowerPC. I'm reverting apr to not require db4 until someone fixes it.

John Klos
Democracy becomes a government of bullies, tempered by editors.
	-- Ralph Waldo Emerson